Execute asset
curl --request POST \
--url https://{BaseURL}/api/public/v1/assets/{assetId}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jobSource": "<string>",
"parameters": {}
}
'import requests
url = "https://{BaseURL}/api/public/v1/assets/{assetId}/execute"
payload = {
"jobSource": "<string>",
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobSource: '<string>', parameters: {}})
};
fetch('https://{BaseURL}/api/public/v1/assets/{assetId}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jobSource": "<string>",
"jobSourceId": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}API Reference
Execute asset
Queue a run for a source, model, or orchestration
POST
/
api
/
public
/
v1
/
assets
/
{assetId}
/
execute
Execute asset
Starts a job for a source, model, or orchestration. Other asset types return an error. Send
jobSource (for example API or Manual) and optional parameters; the job is always attributed to the authenticated user.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Job created and queued.
Show child attributes
Show child attributes
⌘I